#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE3,0x66,0x8F,0x48,0x31,0x80,0xE4,0xED,0x62,0x8D,0x81,0x57,
		0x9C,0x1B,0x9B,0x03,0xE2,0x74,0x51,0xE0,0x67,0xDA,0x0B,0x96,
		0x09,0x43,0x2B,0x9C,0xBE,0xBC,0x2F,0x5B,0x77,0x8D,0x61,0x1A,
		0xEA,0x21,0xD9,0x03,0x60,0x2E,0x38,0xD2,0xB8,0xDD,0xC5,0x22,
		0xF1,0x2E,0x29,0xC6,0xD6,0x99,0x34,0x57,0xCC,0x2A,0x9E,0x23,
		0x26,0xC5,0xA5,0xD3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
